Forum: Ruby on Rails Weird SyntaxError Exception after upgrade to Rails 1.2.1

Announcement (2017-05-07): is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see and for other Rails- und Ruby-related community platforms.
Bc78ecf1898c83d627f9779e0e47af15?d=identicon&s=25 Carsten Gehling (carsten)
on 2007-02-02 22:08

I am developing an application using InstantRails 1.4.

Until now, the application have worked perfectly, but then I decided to
try and upgrade to Rails 1.2.1.

I did it with the freeze method:
rake rails:freeze:edge TAG=rel_1-2-1

And started the server. After that, I get the following error on my
front page (click on address to see screenshot):

Apparently Rails (or Ruby) is now complaining about my <%= render
:partial => 'shared/ad_box' %>

Just for curiosity, I tried to change the single-quotes to
double-quotes, and then the error disappeared - but Rails then
complained about similar problems with single-quotes in other places in
my layout file.

What the h*ll's happening? Is my rails totally broken? I haven't tried
to reinstall InstantRails yet, but maybe I should...

- Carsten
20139de0a00fc8675e86d52f12f988ad?d=identicon&s=25 Jamez (Guest)
on 2007-02-06 11:31
(Received via mailing list)
Try posting your question on You might get your answer

On Feb 2, 10:08 pm, Carsten Gehling <>
This topic is locked and can not be replied to.